<template>
  <div class="subnavigation">
    <div class="container" id="sub-new">
      <form class="form-inline my-2 my-lg-0" id="download-report-form">
          <!-- <button type="button" class="btn"> -->
            <!-- <span class="dl-icon-main"><i class="fa fa-download" aria-hidden="true"></i></span> -->
             <div class="btn-group">
                    <button type="button" class="btn btn"> <span class="dl-icon-main"><i class="fa fa-download" aria-hidden="true"></i></span> <app-link :to="`${rootURL}/api/mqa/reports/report/${$i18n.locale}/pdf`" matomo-track-download>{{ $t("message.navigation.download_report.direct") }}</app-link></button>
                    <button type="button" class="btn dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="sr-only"></span>
                    </button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <app-link class="dropdown-item" :to="`${rootURL}/api/mqa/reports/report/${$i18n.locale}/pdf`" matomo-track-download><span class="dl-icon-main"><i class="fa fa-download" aria-hidden="true"></i></span>{{ $t("message.navigation.download_report.second_pdf") }}</app-link>
                            <app-link class="dropdown-item" :to="`${rootURL}/api/mqa/reports/report/${$i18n.locale}/ods`" matomo-track-download><span class="dl-icon-main"><i class="fa fa-download" aria-hidden="true"></i></span>{{ $t("message.navigation.download_report.second_ods") }}</app-link>
                            <app-link class="dropdown-item" :to="`${rootURL}/api/mqa/reports/report/${$i18n.locale}/xlsx`" matomo-track-download><span class="dl-icon-main"><i class="fa fa-download" aria-hidden="true"></i></span>{{ $t("message.navigation.download_report.second_xls") }}</app-link>
                    </div>
                </div>
            <!-- <app-link :to="`${rootURL}/data/datasets?catalog=edp&showcataloguedetails=true&locale=${$i18n.locale}`" matomo-track-download>{{ $t("message.navigation.download_report.direct") }}</app-link> -->
          <!-- </button> -->
      </form>
      <nav class="navbar navbar-expand-lg navbar-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
          <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
            <li class="nav-item">
              <router-link :to="{ name: 'Dashboard', query: { locale: $i18n.locale }} "  class="nav-link btn btn-light sub-nav" exact-active-class="active">{{ $t("message.navigation.dashboard") }}</router-link>
            </li>
            <li class="nav-item">
              <router-link :to="{ name: 'Catalogues', query: { locale: $i18n.locale }}" class="nav-link btn btn-light sub-nav" active-class="active">{{ $t("message.navigation.catalogues") }}</router-link>
            </li>
            <li class="nav-item">
              <router-link :to="{ name: 'Methodology', query: { locale: $i18n.locale }}" class="nav-link btn btn-light sub-nav" active-class="active">Methodology</router-link>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>
</template>
<script>
import appLink from './AppLink'

export default {
  props: ['language'],
  components: {
    appLink
  },
  data () {
    return {
      lang: 'en',
      rootURL: this.$env.ROOT_URL
    }
  }
}
</script>

<style scoped>

.sub-nav {
  margin-right: 20px;
  margin-top: 2px;
  font-size: 16px;
  color: rgb(58, 58, 58) !important;
  background-color: #fff;
}

.active {
  /* text-decoration: underline;
  font-weight: 500; */
  color: rgb(16, 16, 16) !important;
}

</style>
